Bug 1121706 - Key repeat doesn't work on X11 and can't login to virtual consoles
Summary: Key repeat doesn't work on X11 and can't login to virtual consoles
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 16:32 UTC by Ozgur M. Homurlu
Modified: 2015-04-28 18:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 18:25:26 UTC
ozgurmurath: needinfo+


Attachments (Terms of Use)

Description Ozgur M. Homurlu 2014-07-21 16:32:41 UTC
Description of problem:

Key repeat doesn't work on X11 despite the settings.
Scrolling up doesn't work on XFCE terminal with its default settings. It constantly goes to the end of scroll buffer as if a key was pressed.

I can't login to virtual consoles either because there's a constant stream of "^@" characters generated on screen and it interferes with login (I get a login incorrect error).

dmesg output is filled with "toshiba_acpi: Unknown key 1431" messages:

...
[ 1084.325738] toshiba_acpi: Unknown key 1431
[ 1084.361172] toshiba_acpi: Unknown key 1431
[ 1084.388458] toshiba_acpi: Unknown key 1431
[ 1084.409273] toshiba_acpi: Unknown key 1431
[ 1084.450084] toshiba_acpi: Unknown key 1431
[ 1084.474388] toshiba_acpi: Unknown key 1431
[ 1084.500719] toshiba_acpi: Unknown key 1431


Version-Release number of selected component (if applicable):

kernel-3.15.6-200.fc20.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Nothing special, just boot the system


Additional info:

Hardware is a Toshiba Satellite A350 notebook.

Comment 1 Ozgur M. Homurlu 2014-07-21 16:40:56 UTC
When system is booted to Windows, keybaord works without problem.

Comment 2 Ozgur M. Homurlu 2014-09-25 23:56:54 UTC
Seems to be fixed by a recent update.

Comment 3 Ozgur M. Homurlu 2014-09-27 15:19:50 UTC
Sorry, I don't know what caused the temporary recovery but problem still happens with latest (3.16.3-200.fc20.x86_64) kernel. Reopening...

Comment 4 Justin M. Forbes 2014-11-13 16:03:56 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 5 Ozgur M. Homurlu 2014-11-16 11:00:58 UTC
I'm still experiencing this problem. Kernel version running:

3.17.2-200.fc20.x86_64

Comment 6 Fedora Kernel Team 2015-04-28 18:25:26 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.